%define	name	scribus
%define	version	0.5.5
%define	release	2mdk

%define	major	0
%define	libname	lib%name%major

Summary: 	Scribus layout program
Name: 		%name
Version: 	%version
Release:	%release
Source0:	http://web2.altmuehlnet.de/fschmid/%{name}-%{version}.tar.bz2
URL: 		http://web2.altmuehlnet.de/fschmid/
License: 	GPL
Group: 		Office
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  libqt2-devel libpng-devel libjpeg62-devel zlib-devel
Buildrequires:  liblcms1-devel
Requires:	liblcms1
Requires:	%libname = %version-%release

%description
Scribus is a DTP-Program in the tradition of Xpress, Pagemaker
or similar. In the moment it is still in his early Stages of Development,
but fairly usable. You can do all the important things like embedding
Pictures, placing Text on a Page and much more.

Printing is done via an own Postscript-Driver, since the Driver
supplied by Qt has too many Limitations and every Version of it has
its own Faults. The Driver that ships with Scribus can embed Fonts
for Printing and you can use EPS-Pictures at high Quality.

In the moment Scribus supports only Type1 (Postscript) - Fonts,
and TrueType.

%package -n %libname
Summary:	Main libraries for %name.
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically                                                                          
linked with %name.                                                                                                                            

%package -n %{libname}-devel
Summary:        Development tools for programs which will use the %libname library.
Group:          Development/C++
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
The %{libname}-devel package includes the header files and static libraries
necessary for developing programs using the %{libname} library.

If you are going to develop programs which will use this library
you should install %{libname}-devel.  You'll also need to have the %name
package installed.


%prep
%setup  -q

%build

export CFLAGS="$RPM_OPT_FLAGS -I/usr/include/lcms"
export CXXFLAGS="$RPM_OPT_FLAGS -I/usr/include/lcms"

./configure 	--prefix=%_prefix \
		--mandir=%_mandir \
		--datadir=%_datadir \
		--disable-debug 

%make

%install
%makeinstall

install -d -m 0755 %buildroot/%_menudir
cat > %buildroot/%_menudir/%{name} <<EOF
?package(%{name}): \
command="scribus" \
title="Scribus" \
longtitle="Scribus layout program" \
needs="x11" \
section="Office/Wordprocessors" \
icon="wordprocessor_section.png"
EOF
 
%post
%update_menus
  
%postun
%clean_menus 

%post -n %{libname} -p /sbin/ldconfig                                                                                                        
%postun -n %{libname} -p /sbin/ldconfig                                                                                                      

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%_bindir/*
%_menudir/*

%dir %_datadir/%name
%_datadir/%name/*.qm
#%_datadir/%name/*.jpg
%_datadir/%name/*.txt

%dir %_datadir/%name/icons/
%_datadir/%name/icons/*.xpm
%_datadir/%name/icons/*.png
%_datadir/%name/icons/*.jpg

%dir %_datadir/%name/doc/
%dir %_datadir/%name/doc/de
%doc %_datadir/%name/doc/de/*.html

%dir %_datadir/%name/doc/de/images/
%doc %_datadir/%name/doc/de/images/*.png
%doc %_datadir/%name/doc/de/images/*.jpg

%dir %_datadir/%name/doc/de/images/preferences/
%doc %_datadir/%name/doc/de/images/preferences/*.png

%dir %_datadir/%name/doc/de/images/tools/
%doc %_datadir/%name/doc/de/images/tools/*.png

%dir %_datadir/%name/doc/de/images/tutorial/
%doc %_datadir/%name/doc/de/images/tutorial/*.png
%doc %_datadir/%name/doc/de/images/tutorial/*.jpg

%dir %_datadir/%name/doc/de/tutorial/
%doc %_datadir/%name/doc/de/tutorial/*.doc
%doc %_datadir/%name/doc/de/tutorial/*.pdf
%doc %_datadir/%name/doc/de/tutorial/*.jpg
%doc %_datadir/%name/doc/de/tutorial/*.txt
%doc %_datadir/%name/doc/de/tutorial/*.gif

%dir %_datadir/%name/doc/en
%doc %_datadir/%name/doc/en/*.html
%doc %_datadir/%name/doc/en/*.jpg

%dir %_datadir/%name/doc/fr
%doc %_datadir/%name/doc/fr/*.html

%dir %_datadir/%name/doc/fr/images
%doc %_datadir/%name/doc/fr/images/*.gif
%doc %_datadir/%name/doc/fr/images/*.jpg
%doc %_datadir/%name/doc/fr/images/*.png

%dir %_datadir/%name/doc/fr/tutorial
%doc %_datadir/%name/doc/fr/tutorial/*.html

%dir %_datadir/%name/doc/fr/tutorial/images/
%doc %_datadir/%name/doc/fr/tutorial/images/*.gif
%doc %_datadir/%name/doc/fr/tutorial/images/*.jpg
%doc %_datadir/%name/doc/fr/tutorial/images/*.png

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING
%_libdir/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc AUTHORS COPYING
%_libdir/*.so
%_libdir/*a


%changelog
* Tue Feb 19 2002 Yves Duret <yduret@mandrakesoft.com> 0.5.5-2mdk
- added missing plugins thanx Reinhard Katzmann <suamor@gmx.net>
  (libdification in fact)

* Mon Feb 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5.5-1mdk
- 0.5.5

* Tue Feb 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5.4-1mdk
- 0.5.4

* Wed Jan 23 2002 Laurent MONTEL <lmontel@mandraksoft.com> 0.5.3-2mdk
- Rebuild
 
* Sat Jan 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5.3-1mdk
- 0.5.3

* Fri Jan 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-1mdk
- 0.5.2

* Thu Jan 10 2002 David BAUDENS <baudens@mandrakesoft.com> 0.5-3mdk
- Fix menu entry (add icon)

* Sun Dec 30 2001 Yves Duret <yduret@mandrakesoft.com> 0.5-2mdk
- add buildrequires
- even better description (truetype fonts is now supported)
- %%setup -q, few spec corrections
- fix rpmlint warnings
- remove patch1 no more needed

* Mon Dec 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5-1mdk
- 0.5

* Mon Nov 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.10-1mdk
- 0.4.10

* Mon Nov 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.9-1mdk
- 0.4.9

* Mon Nov 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.8-1mdk
- 0.4.8

* Mon Nov 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.7-1mdk
- 0.4.7

* Thu Oct 30 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.6-1mdk
- Update code (0.4.6)

* Mon Oct 15 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.4-1mdk
- 0.4.4

* Thu Oct 09 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.3-2mdk
- Clean spec
- Patch1 : fix compile with enable-final

* Mon Oct 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.3-1mdk
- Update code (0.4.3)

* Fri Oct 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.2-1mdk
- 0.4.2

* Sun Aug 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.10-1mdk 
- new in contribs

